use serde::{Deserialize, Serialize};

use crate::{Either, OneOrMany, identifier::Identifier, tag::Tag};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct WolfVariant {
    pub wild_texture: String,
    pub tame_texture: String,
    pub angry_texture: String,
    pub biomes: OneOrMany<Either<Identifier, Tag>>,
}
