use potato_protocol_derive::Packet;

use crate::datatypes::var_int::VarInt;

#[derive(Packet, Debug)]
#[packet(handshake_id = crate::ids::handshake::serverbound::INTENTION)]
pub struct IntentionPacket {
    pub protocol_version: VarInt,
    pub server_address: String,
    pub server_port: u16,
    pub next_state: VarInt,
}
